Page MenuHomePhabricator

run-tests: extract Popen logic to a single method
ClosedPublic

Authored by quark on Oct 5 2017, 12:22 AM.

Details

Summary

This removes 3 lines in total LOC and makes the upcoming changes easier.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

quark created this revision.Oct 5 2017, 12:22 AM
dlax added a subscriber: dlax.Oct 5 2017, 3:24 AM
dlax added inline comments.
tests/run-tests.py
2113–2115

Perhaps also update the indentation of continuation line?

ryanmce added inline comments.
tests/run-tests.py
2113–2115

I can do this in-flight

ryanmce requested changes to this revision.Oct 12 2017, 7:35 AM
This revision now requires changes to proceed.Oct 12 2017, 7:35 AM
ryanmce added inline comments.Oct 12 2017, 7:36 AM
tests/run-tests.py
2113–2115

Actually, since I've asked for changed on the topmost revision, can you fix this up with the next submission please?

quark updated this revision to Diff 2889.Oct 17 2017, 12:45 AM
ryanmce accepted this revision.Oct 17 2017, 8:09 AM

queued

This revision is now accepted and ready to land.Oct 17 2017, 8:09 AM
This revision was automatically updated to reflect the committed changes.